import { Component } from 'react';
import { RadioChangeEvent, RadioGroupButtonStyle, RadioGroupProps, RadioGroupState } from './interface';
import ConfigContext, { ConfigContextValue } from '../config-provider/ConfigContext';
export default class RadioGroup extends Component<RadioGroupProps, RadioGroupState> {
    static displayName: string;
    static get contextType(): typeof ConfigContext;
    static defaultProps: {
        disabled: boolean;
        buttonStyle: RadioGroupButtonStyle;
    };
    context: ConfigContextValue;
    constructor(props: RadioGroupProps, context: ConfigContextValue);
    getContextValue(): {
        radioGroup: {
            onChange: (ev: RadioChangeEvent) => void;
            value: any;
            disabled: boolean | undefined;
            name: string | undefined;
        };
    };
    componentWillReceiveProps(nextProps: RadioGroupProps): void;
    shouldComponentUpdate(nextProps: RadioGroupProps, nextState: RadioGroupState): boolean;
    onRadioChange: (ev: RadioChangeEvent) => void;
    render(): JSX.Element;
}
